#include <stdio.h>

#include <limits.h>
#include <stdlib.h>

int main(int argc, char **argv) {
	if (argc != 2) {
		fprintf(stderr, "usage: realpath PATH\n");
		return 2;
	}
	char *result = realpath(argv[1], NULL);
	if (result) {
		printf("%s\n", result);
		return 0;
	} else {
		perror("realpath");
		return 1;
	}
}
