#include <unistd.h>
/* rename(2) is in stdio.h.  It ought to be in unistd.h like the others so that
 * people can use the syscall without including the stdio library. */
#include <stdio.h>

#include <assert.h>

int main(int argc, char **argv) {
	assert(argc == 5);
	const char *homedir = argv[1],
		*in = argv[2], *sw = argv[3], *out = argv[4];
	assert(chdir(homedir) == 0);

	// This has to be quick.
	assert(rename(sw, out) == 0);
	assert(link(in, sw) == 0);

	return 0;
}
